/**
 * 工具类
 * nh 2021.12.23
 */

export class toolUtils{
    /**
     * 拼接完整的http请求地址
     * @param baseUrl 根域名地址
     * @param interfaceUrl 接口地址
     * @returns string 完整的http请求地址
     */
    static getBaseHttpUrl(baseUrl: string, interfaceUrl: string) { 
        baseUrl = baseUrl + (baseUrl.lastIndexOf('/') == baseUrl.length - 1 ? '' : '/');
        
        var _index = interfaceUrl.indexOf('/') == 0 ? 1 : 0;
        interfaceUrl = interfaceUrl.substring(_index);
        return baseUrl + interfaceUrl;
    }
}